Subject: Re: bug#51883: 29.0.50; Command to get accidentally deleted frames back

From: Eli Zaretskii <[email-masked]>
Date: Sun, 30 Jan 2022 18:59:14 +0200

> From: Juri Linkov <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  Gregory Heytings
>  <[email-masked]>,  [email-masked]
> Date: Sun, 30 Jan 2022 18:39:16 +0200
> 
> So all concerns raised by Eli are addressed now
> that make possible to enable it by default
> as was discussed on emacs-devel:

Once again, please do NOT enable this by default, I didn't agree to
that.  This feature should remain disabled by default for some time,
until we have enough information to discuss whether it should be
turned on by default.  As discussed and agreed during its development.

>  @item C-x 5 u
>  @kindex C-x 5 u
>  @findex undelete-frame
> -@findex undelete-frame-mode
> -When @code{undelete-frame-mode} is enabled, undelete one of the 16
> -most recently deleted frames.  Without a prefix argument, undelete the
> -most recently deleted frame.  With a numerical prefix argument between
> -1 and 16, where 1 is the most recently deleted frame, undelete the
> -corresponding deleted frame.
> +@findex undelete-frame-max
> +Undelete one of the recently deleted frames.  The user option

"One of the recently deleted frames" sounds like Emacs arbitrarily
decides which one.  Which is not  what you wanted to say, surely.

> +(defcustom undelete-frame-max 1
> +  "Maximum number of deleted frames before oldest are thrown away."

This doesn't say how to disable the feature.

>      (bindings--define-key menu [undelete-last-deleted-frame]
>        '(menu-item "Undelete Frame" undelete-frame
> -                  :enable (and undelete-frame-mode
> -                                (car undelete-frame--deleted-frames))
> +                  :visible (car undelete-frame--deleted-frames)

I think Gregory didn't like the disappearing item, and preferred it to
be visible at all times, even if disabled.